#!/bin/sh
#BEGIN COPYRIGHT
#*************************************************************************
#
# Licensed Materials - Property of IBM
# 5725-C94, 5725-C95, 5725-C96
# (C) Copyright IBM Corporation 2013. All Rights Reserved.
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
#*************************************************************************
#END COPYRIGHT

usage() {
    echo "Usage:"
    echo -e -n "\n"
    echo "tuneBPM.bat -de ^<de name^> -propertyFile ^<property file path^>"
    echo -e -n "\n"
    echo "Where:"
    echo "    -profileName ^<profile name^>:"
    echo "    	Specify the deployment manager profile name."
    echo -e -n "\n"
    echo "    -de ^<de name^>:"
    echo "    	Specify the deployment environment name."
    echo -e -n "\n"
    echo "    -propertyFile ^<property file path^>:"
    echo "		Specify the property file path. "
    echo -e -n "\n"

    exit
}

while [ $# -gt 0 ]; do
  case $1 in
    -de) deName=$2; shift; shift;;
    -propertyFile) propertyFile=$2; shift; shift;;
    -profileName) profileName=$2; shift; shift;;
    -help) usage;;
    *) shift; shift;;
  esac;
done

# Bootstrap values ...
curDir=`pwd`
binDir=`dirname "$0"`
cd "$binDir/../.."
REPLACE_WAS_HOME=`pwd`
export REPLACE_WAS_HOME
cd "$curDir"
. "${REPLACE_WAS_HOME}/bin/setupCmdLine.sh"

if [ "$profileName" = "" ]; then
   "$USER_INSTALL_ROOT/bin/wsadmin.sh" -connType NONE -lang jython -f $WAS_HOME"/BPM/scripts/tuneBPM.py" "$deName" "$propertyFile"
else
   "$WAS_HOME/bin/wsadmin.sh" -profileName "$profileName" -connType NONE -lang jython -f $WAS_HOME"/BPM/scripts/tuneBPM.py" "$deName" "$propertyFile"
fi

